let path = require('path');
let webpack = require('webpack');

module.exports = {
    target: 'web',
    devtool: 'cheap-module-eval-source-map',
    defineDebug: true,
    debug: true,
    entry: {
        'app': [
            'react-hot-loader/patch',
            'webpack-dev-server/client?http://localhost:3000',
            'webpack/hot/only-dev-server',
            './app/src/index.jsx'
        ]
    },
    output: {
        path: path.join(__dirname, './../dist'),
        filename: 'bundle.js',
        publicPath: '/static/'
    },
    plugins: [
        new webpack.HotModuleReplacementPlugin(),
        new webpack.NoErrorsPlugin()
    ],
    module: {
        loaders: [{
                test: /\.jsx$/,
                loader: 'babel-loader',
                include: path.resolve(__dirname, './../app/src')
            }
        ]
    }
};